
import { usePythonBridge } from '@/utils/pythonBridge'



export function setToken(token) {
	localStorage.setItem('token', token);
}

export function getToken() {
	return localStorage.getItem('token');
}

export function removeToken() {
	localStorage.removeItem('token');
}

export function setUser(user) {

	localStorage.setItem('user', JSON.stringify(user));
}

export function getUser() {
	return JSON.parse(localStorage.getItem('user'));
}

export function setNumData(numData) {
	localStorage.setItem('num', JSON.stringify(numData));
}
export function getNumData() {
	return JSON.parse(localStorage.getItem('num'));
}

// 导出一个函数，用于设置用户密码
export function setUserPass(userdata) {
	localStorage.setItem('userPass', JSON.stringify(userdata));
}
// 导出一个函数，用于获取用户密码
export function getUserPass() {
	return JSON.parse(localStorage.getItem('userPass'));
}

// 用于设置tk账户密码
export function setTkUser(userdata) {
	localStorage.setItem('tkuser', JSON.stringify(userdata));
}
// 用于获取tk账户密码
export function getTkUser() {
	return JSON.parse(localStorage.getItem('tkuser'));
}

// 用于列表筛选条件
export function setSerch(data) {
	localStorage.setItem('Serch', JSON.stringify(data));
}
// 用于获取列表筛选条件
export function getSerch() {
	return JSON.parse(localStorage.getItem('Serch'));
}